function ecef = NEU2ECEF(enu,orgece,orgllh)
%
%   NEU2EC: Convert ENU coordinates to ECEF with respect to
%   the origin (orgece is the same location as orgllh).
%
%   OU-ECE-AEC  Oct. 1988    FvG

sla = sin(orgllh(1)); cla = cos(orgllh(1));
slo = sin(orgllh(2)); clo = cos(orgllh(2));

ROT = [-slo clo 0; -sla*clo -sla*slo cla; cla*clo cla*slo sla];
difece = inv(ROT) * enu;

%   add the difference between the enu and ecef origins

ecef = orgece + difece;

